services:
  # Collector
  otel-collector:
    depends_on:
      - jaeger
    image: otel/opentelemetry-collector:latest
    command: ["--config=/etc/otel-collector-config.yaml"]
    volumes:
      - ./collector-config.yaml:/etc/otel-collector-config.yaml
    ports:
      - "4317:4317"   # OTLP gRPC receiver
      - "4318:4318"   # OTLP http receiver

  # Jaeger as a metrics sink
  jaeger:
    image: jaegertracing/all-in-one:latest
    ports:
      - "16686:16686" # UI